Query Information of Multiple Organizations
Query the detailed information of multiple organizations at the same time.
Request URL
GET {base_url}/{api_path}/organization/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID(s) of the organization(s).Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array<Organization_Info> | The information of the organization. |
Organization_Info
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Organization ID. |
| name | String | Organization name. |
| parent_id | Integer | Parent organization ID. |
| order | Integer | The sequence number of the organization. |
Examples
Request example
GET /openapi/v1.0/organization/query?id=2,3&access_token=e9pSum0Cyndw0aX1MJiYjbJXjiGCrhG1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"id": 2,
"name": "Tech support",
"parent_id": 1,
"order": 1
},
{
"id": 3,
"name": "Sales",
"parent_id": 1,
"order": 2
}
]
}